View Issue Details

IDProjectCategoryView StatusLast Update
15723Bug reportsOtherpublic2020-03-31 11:08
Reportercorzel Assigned ToJHoeck  
PriorityhighSeverityminor 
Status closedResolutionfixed 
Summary15723: 'Button group' option in Yes/No question doesn't work
Description

The display type 'button group' is not working at least in yes/no questions. It's displayed in radio list type.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0+200116
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariaDB 10.4.10
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3.12

Relationships

has duplicate 16004 closedcdorin the option 'Button group' or 'Radio List' for the question 'Gender' doesnt work. 

Activities

Mazi

Mazi

2020-01-24 11:32

partner   ~55449

@cdorin, I can confirm this also for the gender question type. Tested with latest LS 4.01 version.

By default yes/no and gender used the button style, please switch back to the default behavior.

JHoeck

JHoeck

2020-03-30 12:34

developer   ~56835

Fixed in bug/15723-button-group-option-yes-no-gender-question-doesnt-work.

thedirtypanda

thedirtypanda

2020-03-30 15:18

reporter   ~56838

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29764

lime_release_bot

lime_release_bot

2020-03-31 11:08

administrator   ~56851

Fixed in Release 4.1.14+200331

Related Changesets

LimeSurvey: master 726aa75b

2020-03-30 12:19:07

thedirtypanda

Details Diff
Fixed issue 15723: 'Button group' option in Yes/No Question Type Affected Issues
15723
mod - application/helpers/qanda_helper.php Diff File

LimeSurvey: master ec060a0f

2020-03-30 12:29:06

thedirtypanda

Details Diff
Fixed issue 15723; 'Button Group' option in Gender question Affected Issues
15723
mod - application/helpers/qanda_helper.php Diff File

LimeSurvey: master 7f09eb60

2020-03-30 12:31:23

thedirtypanda

Details Diff
Fixed issue 15723: 'Button group' option in Yes/No and Gender question doesn't work. Affected Issues
15723
mod - application/helpers/qanda_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-01-15 22:14 corzel New Issue
2020-01-16 12:51 cdorin Assigned To => cdorin
2020-01-16 12:51 cdorin Status new => assigned
2020-01-16 18:09 cdorin Priority none => normal
2020-01-24 11:32 Mazi Note Added: 55449
2020-02-22 21:58 cdorin Priority normal => high
2020-02-22 21:58 cdorin Status assigned => confirmed
2020-03-19 14:36 cdorin Relationship added has duplicate 16004
2020-03-26 13:08 JHoeck Assigned To cdorin => JHoeck
2020-03-30 12:34 JHoeck Status confirmed => resolved
2020-03-30 12:34 JHoeck Resolution open => fixed
2020-03-30 12:34 JHoeck Note Added: 56835
2020-03-30 15:18 thedirtypanda Changeset attached => LimeSurvey master 7f09eb60
2020-03-30 15:18 thedirtypanda Changeset attached => LimeSurvey master ec060a0f
2020-03-30 15:18 thedirtypanda Changeset attached => LimeSurvey master 726aa75b
2020-03-30 15:18 thedirtypanda Note Added: 56838
2020-03-31 11:08 lime_release_bot Note Added: 56851
2020-03-31 11:08 lime_release_bot Status resolved => closed